###################   LOG4J2 ##########################
# File with properties for configuring the log manager
#######################################################
# Application log name
log.app=${artifactId}
# ADE log name
log.ade=ADE
# Scheduler log name
log.scheduler=SCHEDULER
# Model log name
log.model=MODEL
# File extension for custom user file logs
log.ext=.log
# Default level for custom user file logs
log.default.level=info
# Default path
log.path=${user.home}/logs
# Path for app version
log.app.version=${project.version}
# Log folder
application.log.type=java
# Pattern layout
log.pattern.layout=%style{%d{ISO8601}}{white} %highlight{%-5level }[%style{%t}{bright,blue}] %style{%C{1.}}{bright,yellow}: %msg%n%throwable
# File pattern for rolling
log.pattern.file=_%d{yyyy-MM-dd}-%i
# Charset
log.charset=UTF-8
# Size rolling policy
log.size.rolling=10 MB
# Date rolling policy (Number days)
log.date.rolling=1
# Max number files rolling backup
log.num.file.rolling=10
# Delete files if size exceeds more than this number
log.delete.if.size.exceeds=500 MB
# Delete files if days exceeds more than this number
log.delete.if.days.exceeds=15d
# Default base logs path
application.log.base.path=${log.path}/${log.app}/${log.app.version}
# Default path for Java logs (See log42.xml)
application.log.file.path=${application.log.base.path}/${application.log.type}/


